<?php
/**
 * w3layouts Theme Services page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Services_settings=new w3layouts_Services_customizer_settings();

class w3layouts_Services_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_services_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_Servicespage_panels'));

    }

    public function w3layouts_Servicespage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('ServicesPage_panel',
            array('title'=> __('Services Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update Servicespage data.', 'w3layouts')));

        $wp_customize->add_section('ServicesPageServicesSection',
            array('title'=> __('Section 1 Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

        $wp_customize->add_section('ServicesPageFeaturedServicesSection',
            array('title'=> __('Section 2 Featured Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));

        $wp_customize->add_section('ServicesPageMoreServicesSection',
            array('title'=> __('Section 3 More Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'ServicesPage_panel'
            ));



        /** ServicesPage Services starts **/

        $wp_customize->add_setting('ServicesPageServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageServicesRequired',
                array('label'=> __('ServicesPage Services Section Required', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'settings'=> 'ServicesPageServicesRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageServicesRequired', array('selector'=> 'div.ServicesPageServices', // You can also select a css class
            ));


        $wp_customize->add_setting('ServicesPageServicesTitle', array('default'=> "Services",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageServicesTitle',
            array('label'=> __('Services Section Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageServicesTitle',
            )));
        
        $wp_customize->add_setting('ServicesPageServicesLeftTitle', array('default'=> "We have 15+ years of experience gives you better results.",
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageServicesLeftTitle',
            array('label'=> __('Services Left Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageServicesLeftTitle',
            )));

        $wp_customize->add_setting('ServicesPageServicesContent', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In a et euismod faucibus quam, a sodales er osplacerat vitae. Sed pretium fermentum luctus.Cras sodales nisl vitae dolor facilisis dapibus.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageServicesContent',
            array('label'=> __('Services Left Para', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

		$wp_customize->add_setting('ServicesPageServicesBtnURL', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesBtnURL',
                array('label'=> __('Services Left Button URL', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'settings'=> 'ServicesPageServicesBtnURL'
                )));

        $wp_customize->add_setting('ServicesPageServicesBtnTxt', array('default'=> 'Know More',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesBtnTxt',
                array('label'=> __('Services Left Button Text', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'settings'=> 'ServicesPageServicesBtnTxt'
                )));
        
        // Service 1
        $wp_customize->add_setting('ServicesPageService1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService1Required',
                array('label'=> __('ServicesPage Service1 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService1Required'
            )));
        $wp_customize->add_setting('ServicesPageService1Icon', array('default'=> 'fa fa-codepen',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService1Icon',
            array('label'=> __('Service1 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService1Icon'
            )));
        $wp_customize->add_setting('ServicesPageService1Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService1Url',
            array('label'=> __('Service1 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService1Url'
            )));
        $wp_customize->add_setting('ServicesPageService1Title', array('default'=> 'Persionalized Experience',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService1Title',
            array('label'=> __('Service1 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService1Title'
            )));

        $wp_customize->add_setting('ServicesPageService1Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService1Content',
			array('label'=> __('Service1 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service 1 ends

        // Service2
        $wp_customize->add_setting('ServicesPageService2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService2Required',
                array('label'=> __('ServicesPage Service2 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService2Required'
            )));
        $wp_customize->add_setting('ServicesPageService2Icon', array('default'=> 'fa fa-usd',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService2Icon',
            array('label'=> __('Service2 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService2Icon'
            )));
        $wp_customize->add_setting('ServicesPageService2Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService2Url',
            array('label'=> __('Service2 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService2Url'
            )));
        $wp_customize->add_setting('ServicesPageService2Title', array('default'=> 'Affordable Pricing',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService2Title',
            array('label'=> __('Service2 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService2Title'
            )));

        $wp_customize->add_setting('ServicesPageService2Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService2Content',
			array('label'=> __('Service2 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service2 ends

        // Service3
        $wp_customize->add_setting('ServicesPageService3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService3Required',
                array('label'=> __('ServicesPage Service3 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService3Required'
            )));
        $wp_customize->add_setting('ServicesPageService3Icon', array('default'=> 'fa fa-hourglass',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService3Icon',
            array('label'=> __('Service3 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService3Icon'
            )));
        $wp_customize->add_setting('ServicesPageService3Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService3Url',
            array('label'=> __('Service3 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService3Url'
            )));
        $wp_customize->add_setting('ServicesPageService3Title', array('default'=> 'Convenience',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService3Title',
            array('label'=> __('Service3 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService3Title'
            )));

        $wp_customize->add_setting('ServicesPageService3Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService3Content',
			array('label'=> __('Service3 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service3 ends

        // Service4
        $wp_customize->add_setting('ServicesPageService4Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService4Required',
                array('label'=> __('ServicesPage Service4 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Required'
            )));
        $wp_customize->add_setting('ServicesPageService4Icon', array('default'=> 'fa fa-modx',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService4Icon',
            array('label'=> __('Service4 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Icon'
            )));
        $wp_customize->add_setting('ServicesPageService4Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService4Url',
            array('label'=> __('Service4 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Url'
            )));
        $wp_customize->add_setting('ServicesPageService4Title', array('default'=> 'Quality',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService4Title',
            array('label'=> __('Service4 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService4Title'
            )));

        $wp_customize->add_setting('ServicesPageService4Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService4Content',
			array('label'=> __('Service4 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service4 ends

        // Service5
        $wp_customize->add_setting('ServicesPageService5Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService5Required',
                array('label'=> __('ServicesPage Service5 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Required'
            )));
        $wp_customize->add_setting('ServicesPageService5Icon', array('default'=> 'fa fa-truck',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService5Icon',
            array('label'=> __('Service5 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Icon'
            )));
        $wp_customize->add_setting('ServicesPageService5Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService5Url',
            array('label'=> __('Service5 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Url'
            )));
        $wp_customize->add_setting('ServicesPageService5Title', array('default'=> 'Express Delivery',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService5Title',
            array('label'=> __('Service5 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService5Title'
            )));

        $wp_customize->add_setting('ServicesPageService5Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService5Content',
			array('label'=> __('Service5 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service5 ends

        // Service6
        $wp_customize->add_setting('ServicesPageService6Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageService6Required',
                array('label'=> __('ServicesPage Service6 Required', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Required'
            )));
        $wp_customize->add_setting('ServicesPageService6Icon', array('default'=> 'fa fa-shopping-bag',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService6Icon',
            array('label'=> __('Service6 Icon', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Icon'
            )));
        $wp_customize->add_setting('ServicesPageService6Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService6Url',
            array('label'=> __('Service6 Title Url', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Url'
            )));
        $wp_customize->add_setting('ServicesPageService6Title', array('default'=> 'Instant Order Update',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageService6Title',
            array('label'=> __('Service6 Title', 'w3layouts'),
                'section'=> 'ServicesPageServicesSection',
                'settings'=> 'ServicesPageService6Title'
            )));

        $wp_customize->add_setting('ServicesPageService6Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'ServicesPageService6Content',
			array('label'=> __('Service6 Para', 'w3layouts'),
				'section'=> 'ServicesPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service6 ends

        // ServicesPage Services top & bottom area textarea

        $wp_customize->add_setting('ServicesPageServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesTopArea',
                array('label'=> __('ServicesPage Services Top', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageServicesBottomArea',
                array('label'=> __('ServicesPage Services Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage Services top & bottom area textarea

        /** ServicesPage Services ends **/




        /** ServicesPage Featured Services starts **/

        $wp_customize->add_setting('ServicesPageFeaturedServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedServicesRequired',
                array('label'=> __('ServicesPage Featured Services Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedServicesRequired',
                'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageFeaturedServicesRequired', array('selector'=> 'div.ServicesPageFeaturedServices', // You can also select a css class
            ));

        $wp_customize->add_setting('ServicesPageFeaturedServicesBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedServicesBgImage',
                array('label'=> __('Featured Services Bg Image'),
				'description'=> esc_html__(''),
				'section'=> 'ServicesPageFeaturedServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 1760, // Optional. Default: 150
				'height'=> 900, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

        $wp_customize->add_setting('ServicesPageFeaturedServicesTitle', array('default'=> "Featured Services",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedServicesTitle',
            array('label'=> __('Featured Services Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedServicesTitle',
            )));
            
        // Featured Service1
        $wp_customize->add_setting('ServicesPageFeaturedService1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService1Required',
                array('label'=> __('Featured Service1 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService1Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService1Image',
            array('label'=> __('Featured Service1 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService1Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService1Url',
            array('label'=> __('Featured Service1 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService1Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService1Title', array('default'=> "COIN LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService1Title',
            array('label'=> __('Featured Service1 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService1Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService1Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService1Content',
            array('label'=> __('Featured Service1 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
            
        // Featured Service2
        $wp_customize->add_setting('ServicesPageFeaturedService2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService2Required',
                array('label'=> __('Featured Service2 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService2Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService2Image',
            array('label'=> __('Featured Service2 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService2Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService2Url',
            array('label'=> __('Featured Service2 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService2Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService2Title', array('default'=> "RESIDENTIAL LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService2Title',
            array('label'=> __('Featured Service2 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService2Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService2Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService2Content',
            array('label'=> __('Featured Service2 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
            
        // Featured Service3
        $wp_customize->add_setting('ServicesPageFeaturedService3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService3Required',
                array('label'=> __('Featured Service3 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService3Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService3Image',
            array('label'=> __('Featured Service3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService3Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService3Url',
            array('label'=> __('Featured Service3 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService3Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService3Title', array('default'=> "BUSINESS LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService3Title',
            array('label'=> __('Featured Service3 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService3Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService3Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService3Content',
            array('label'=> __('Featured Service3 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Services Middle Image
        $wp_customize->add_setting('ServicesPageFeaturedServiceMiddleImageRequired',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedServiceMiddleImageRequired',
                array('label'=> __('Featured Services Middle Image Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedServiceMiddleImageRequired'
            )));

        $wp_customize->add_setting('ServicesPageFeaturedServiceMiddleImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedServiceMiddleImage',
            array('label'=> __('Featured Services Middle Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        // Featured Service4
        $wp_customize->add_setting('ServicesPageFeaturedService4Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService4Required',
                array('label'=> __('Featured Service4 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService4Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService4Image',
            array('label'=> __('Featured Service4 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService4Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService4Url',
            array('label'=> __('Featured Service4 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService4Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService4Title', array('default'=> "COIN LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService4Title',
            array('label'=> __('Featured Service4 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService4Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService4Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService4Content',
            array('label'=> __('Featured Service4 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Service5
        $wp_customize->add_setting('ServicesPageFeaturedService5Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService5Required',
                array('label'=> __('Featured Service5 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService5Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService5Image',
            array('label'=> __('Featured Service5 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService5Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService5Url',
            array('label'=> __('Featured Service5 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService5Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService5Title', array('default'=> "BUSINESS LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService5Title',
            array('label'=> __('Featured Service5 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService5Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService5Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService5Content',
            array('label'=> __('Featured Service5 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Service6
        $wp_customize->add_setting('ServicesPageFeaturedService6Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageFeaturedService6Required',
                array('label'=> __('Featured Service6 Required', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService6Required'
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageFeaturedService6Image',
            array('label'=> __('Featured Service6 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageFeaturedService6Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService6Url',
            array('label'=> __('Featured Service6 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService6Url',
            )));
        $wp_customize->add_setting('ServicesPageFeaturedService6Title', array('default'=> "RESIDENTIAL LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService6Title',
            array('label'=> __('Featured Service6 Title', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'settings'=> 'ServicesPageFeaturedService6Title',
            )));
            
        $wp_customize->add_setting('ServicesPageFeaturedService6Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageFeaturedService6Content',
            array('label'=> __('Featured Service6 Para', 'w3layouts'),
                'section'=> 'ServicesPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // ServicesPage Featured Services top & bottom area textarea

        $wp_customize->add_setting('ServicesPageFeaturedServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageFeaturedServicesTopArea',
                array('label'=> __('Featured Services Top', 'w3layouts'),
                    'section'=> 'ServicesPageFeaturedServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageFeaturedServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageFeaturedServicesBottomArea',
                array('label'=> __('Featured Services Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageFeaturedServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage Featured Services top & bottom area textarea

        /** ServicesPage Featured Services ends **/




        /** ServicesPage More Services starts **/

        $wp_customize->add_setting('ServicesPageMoreServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreServicesRequired',
                array('label'=> __('ServicesPage More Services Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreServicesRequired',
                'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('ServicesPageMoreServicesRequired', array('selector'=> 'div.ServicesPageMoreServices', // You can also select a css class
            ));

        $wp_customize->add_setting('ServicesPageMoreServicesTitle', array('default'=> "Dry cleaning & Laundry services",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreServicesTitle',
            array('label'=> __('More Services Title', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreServicesTitle',
            )));

        // More Service1
        $wp_customize->add_setting('ServicesPageMoreService1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService1Required',
                array('label'=> __('More Service1 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService1Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService1Image',
            array('label'=> __('More Service1 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService1Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService1Url',
            array('label'=> __('More Service1 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService1Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService1Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService1Title1',
            array('label'=> __('More Service1 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService1Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService1Title2', array('default'=> "Dry Clean (per item)",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService1Title2',
            array('label'=> __('More Service1 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService1Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService1Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService1Content',
            array('label'=> __('More Service1 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // More Service2
        $wp_customize->add_setting('ServicesPageMoreService2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService2Required',
                array('label'=> __('More Service2 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService2Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService2Image',
            array('label'=> __('More Service2 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService2Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService2Url',
            array('label'=> __('More Service2 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService2Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService2Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService2Title1',
            array('label'=> __('More Service2 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService2Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService2Title2', array('default'=> "Wash, Dry & Fold",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService2Title2',
            array('label'=> __('More Service2 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService2Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService2Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService2Content',
            array('label'=> __('More Service2 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        
        // More Service3
        $wp_customize->add_setting('ServicesPageMoreService3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService3Required',
                array('label'=> __('More Service3 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService3Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService3Image',
            array('label'=> __('More Service3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService3Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService3Url',
            array('label'=> __('More Service3 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService3Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService3Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService3Title1',
            array('label'=> __('More Service3 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService3Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService3Title2', array('default'=> "Ironing (per item)",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService3Title2',
            array('label'=> __('More Service3 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService3Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService3Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService3Content',
            array('label'=> __('More Service3 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        
        // More Service4
        $wp_customize->add_setting('ServicesPageMoreService4Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService4Required',
                array('label'=> __('More Service4 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService4Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService4Image',
            array('label'=> __('More Service4 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService4Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService4Url',
            array('label'=> __('More Service4 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService4Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService4Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService4Title1',
            array('label'=> __('More Service4 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService4Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService4Title2', array('default'=> "Personal Laundress",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService4Title2',
            array('label'=> __('More Service4 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService4Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService4Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService4Content',
            array('label'=> __('More Service4 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        
        // More Service5
        $wp_customize->add_setting('ServicesPageMoreService5Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService5Required',
                array('label'=> __('More Service5 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService5Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService5Image',
            array('label'=> __('More Service5 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService5Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService5Url',
            array('label'=> __('More Service5 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService5Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService5Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService5Title1',
            array('label'=> __('More Service5 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService5Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService5Title2', array('default'=> "Customizable Services",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService5Title2',
            array('label'=> __('More Service5 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService5Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService5Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService5Content',
            array('label'=> __('More Service5 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        
        // More Service6
        $wp_customize->add_setting('ServicesPageMoreService6Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'ServicesPageMoreService6Required',
                array('label'=> __('More Service6 Required', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService6Required'
            )));
        $wp_customize->add_setting('ServicesPageMoreService6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'ServicesPageMoreService6Image',
            array('label'=> __('More Service6 Image'),
            'description'=> esc_html__(''),
            'section'=> 'ServicesPageMoreServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('ServicesPageMoreService6Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService6Url',
            array('label'=> __('More Service6 Title URL', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService6Url',
            )));
        $wp_customize->add_setting('ServicesPageMoreService6Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService6Title1',
            array('label'=> __('More Service6 Title1', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService6Title1',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService6Title2', array('default'=> "Free Pickup & Delivery",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService6Title2',
            array('label'=> __('More Service6 Title2', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'settings'=> 'ServicesPageMoreService6Title2',
            )));
            
        $wp_customize->add_setting('ServicesPageMoreService6Content', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam esse? dolores impedit doloremque.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'ServicesPageMoreService6Content',
            array('label'=> __('More Service6 Para', 'w3layouts'),
                'section'=> 'ServicesPageMoreServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        // ServicesPage More Services top & bottom area textarea

        $wp_customize->add_setting('ServicesPageMoreServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageMoreServicesTopArea',
                array('label'=> __('More Services Top', 'w3layouts'),
                    'section'=> 'ServicesPageMoreServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('ServicesPageMoreServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'ServicesPageMoreServicesBottomArea',
                array('label'=> __('More Services Bottom', 'w3layouts'),
                    'section'=> 'ServicesPageMoreServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // ServicesPage More Services top & bottom area textarea

        /** ServicesPage More Services ends **/


    }

}